# smeshDC.Mesh_Algorithm Class Reference

Mother class to define algorithm, recommended to don't use directly. More...

Inheritance diagram for smeshDC.Mesh_Algorithm:

## Public Member Functions
def | __init__
def | GetSubMesh
| If the algorithm is global, return 0; else return the submesh associated to this algorithm.
def | GetAlgorithm
| Return the wrapped mesher.
def | GetCompatibleHypothesis
| Get list of hypothesis that can be used with this algorithm.
def | GetName
| Get name of algo.
def | SetName
| Set name to algo.
def | GetId
| Get id of algo.
def | Create
| Private method.
def | Hypothesis
| Private method.
## Data Fields
| smesh
| mesh
| geom
| subm
| algo

## Detailed Description

More details.

## Member Function Documentation

def smeshDC.Mesh_Algorithm.__init__ | ( |  | self,
|  |  | smesh |
| ) |  |  |

def smeshDC.Mesh_Algorithm.GetSubMesh | ( |  | self | ) |

def smeshDC.Mesh_Algorithm.GetAlgorithm | ( |  | self | ) |

def smeshDC.Mesh_Algorithm.GetCompatibleHypothesis | ( |  | self | ) |

def smeshDC.Mesh_Algorithm.GetName | ( |  | self | ) |

def smeshDC.Mesh_Algorithm.SetName | ( |  | self,
|  |  | name |
| ) |  |  |

def smeshDC.Mesh_Algorithm.GetId | ( |  | self | ) |

def smeshDC.Mesh_Algorithm.Create | ( |  | self,
|  |  | mesh,
|  |  | geom,
|  |  | hypo,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  |

def smeshDC.Mesh_Algorithm.Hypothesis | ( |  | self,
|  |  | hyp,
|  |  | args = `[]`,
|  |  | so = `"libStdMeshersEngine.so"` |
| ) |  |  |

## Field Documentation

smeshDC.Mesh_Algorithm.smesh

smeshDC.Mesh_Algorithm.mesh

smeshDC.Mesh_Algorithm.geom

Reimplemented in smeshDC.Mesh_Segment.

smeshDC.Mesh_Algorithm.subm

smeshDC.Mesh_Algorithm.algo